//
//  ViewController.swift
//  Couleur_MP
//
//  Created by Pascal PISZYNA on 01/12/2016.
//  Copyright © 2016 Pascal PISZYNA. All rights reserved.
//

import UIKit

class ViewController: UIViewController {
    let label = UILabel()
    let sliderR = UISlider()
    let sliderV = UISlider()
    let sliderB = UISlider()
    let couleurs = ["Noir","Rouge","Vert","Bleu","Cyan","Jaune","Magenta","Blanc"]
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        let w = UIScreen.main.bounds.width
        let h = UIScreen.main.bounds.height
        print ("Largeur: \(w) - Hauteur: \(h)")
        
        label.frame = CGRect(x:0,y:20, width:w, height:50)
        label.backgroundColor = .black
        self.view.addSubview(label)
        
        sliderR.frame = CGRect(x:20, y:100, width:w-40, height:50)
        self.view.addSubview(sliderR)
        sliderV.frame = CGRect(x:20, y:150, width:w-40, height:50)
        self.view.addSubview(sliderV)
        sliderB.frame = CGRect(x:20, y:200, width:w-40, height:50)
        self.view.addSubview(sliderB)
        
        sliderR.addTarget(self, action: #selector(sliderChanged(_:)), for: .valueChanged)
        sliderV.addTarget(self, action: #selector(sliderChanged(_:)), for: .valueChanged)
        sliderB.addTarget(self, action: #selector(sliderChanged(_:)), for: .valueChanged)
        
        let segmentedControl = UISegmentedControl(items:couleurs)
        segmentedControl.frame = CGRect(x: 20, y: 250, width: w-40, height: 50)
        
        let normalFont = UIFont(name: "Helvetica", size: 6.0)
        let normalTextAttributes: [NSObject : AnyObject] = [
            NSForegroundColorAttributeName as NSObject: UIColor.black,
            NSFontAttributeName as NSObject: normalFont!
        ]
        segmentedControl.setTitleTextAttributes(normalTextAttributes, for: .normal)
        
        self.view.addSubview(segmentedControl)
        segmentedControl.addTarget(self, action: #selector(scValueChanged(_:)), for: .valueChanged)
        

    }
    
    func sliderChanged(_ sender: UISlider) {
        let R = CGFloat(sliderR.value)
        let V = CGFloat(sliderV.value)
        let B = CGFloat(sliderB.value)
        switch sender {
        case sliderR: print("Valeur du slider rouge = \(R)")
        case sliderV: print("Valeur du slider vert = \(V)")
        case sliderB: print("Valeur du slider bleu = \(B)")
        default : break
        }
        label.backgroundColor = UIColor(red: R, green: V, blue: B, alpha: 1)
    }
    
    func scValueChanged(_ sender: UISegmentedControl) {
        let couleur = couleurs[sender.selectedSegmentIndex]
        print("Couleur choisie \(couleur)")
        let dictCouleurs = ["Noir":     [0, 0, 0],
                            "Rouge":    [1, 0, 0],
                            "Vert":     [0, 1, 0],
                            "Bleu":     [0, 0, 1],
                            "Cyan":     [0, 1, 1],
                            "Jaune":    [1, 1, 0],
                            "Magenta":  [1, 0, 1],
                            "Blanc":    [1, 1, 1]]
        let R = CGFloat((dictCouleurs[couleur]?[0])!)
        let V = CGFloat((dictCouleurs[couleur]?[1])!)
        let B = CGFloat((dictCouleurs[couleur]?[2])!)
        label.backgroundColor = UIColor(red: R, green: V, blue: B, alpha: 1)
        
        sliderR.setValue(Float(R), animated: true)
        sliderV.setValue(Float(V), animated: true)
        sliderB.setValue(Float(B), animated: true)
    }
}

